> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/operations-manager/get-automation-types/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get automation types GET https://example.itential.io/operations-manager/automation-types Returns the list of automation component types the requesting user is authorized to use, based on both service availability and the user's /whoami access. The UI uses this endpoint to filter the create-automation dropdown. Reference: https://docs.itential.com/itential-cloud/api-reference/operations-manager/get-automation-types ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Response ### 200 The authorized automation component types for the requesting user. - `message` (string, required) — A human-readable message summarizing the result of the operation - `data` (list of enum, required) — Array of authorized automation component type strings. - Allowed values: `workflows`, `ucm_compliance_plans`, `resource_models`, `agents` - `metadata` (map from string to any, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation. ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "message": "Successfully created the requested item", "data": [ "workflows" ], "metadata": {} } ``` **SDK Code** ```python import requests url = "https://example.itential.io/operations-manager/automation-types" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/operations-manager/automation-types'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/operations-manager/automation-types" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/operations-manager/automation-types") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/operations-manager/automation-types") .asString(); ``` ```php request('GET', 'https://example.itential.io/operations-manager/automation-types'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/operations-manager/automation-types"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/operations-manager/automation-types")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```